LotusGraphInternal::ZoneMac Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
LotusGraphInternal::ZoneMac Struct Reference

the graphic zone of a LotusGraph for 123 mac More...

## Public Types
enum | Type { Arc, Frame, Line, Rect, Unknown }
| the different type More...

## Public Member Functions
| ZoneMac (std::shared_ptr< WPSStream > const &stream)
| constructor More...
bool | getGraphicShape (WPSGraphicShape &shape, WPSPosition &pos) const
| returns a graphic shape corresponding to the main form (and the origin) More...

## Public Attributes
Type | m_type
| the zone type More...
int | m_subType
| the file modifier type More...
std::shared_ptr< WPSStream > | m_stream
| the stream More...
WPSBox2i | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
int | m_lineId
| the line style id More...
int | m_graphicId
| the graphic style id, used with rect shadow More...
int | m_surfaceId
| the surface color style id More...
bool | m_hasShadow
| a flag to know if we need to add shadow More...
int | m_chartId
| the chart id(for chart) More...
WPSEntry | m_pictureEntry
| the picture entry More...
WPSEntry | m_textBoxEntry
| the text box entry More...
int | m_values [4]
| unknown other value More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ZoneMac const &z)
| operator<< More...

## Detailed Description

the graphic zone of a LotusGraph for 123 mac

## Member Enumeration Documentation

## ◆ Type

enum LotusGraphInternal::ZoneMac::Type

the different type

Enumerator
Arc |
Frame |
Line |
Rect |
Unknown |

## Constructor & Destructor Documentation

## ◆ ZoneMac()

LotusGraphInternal::ZoneMac::ZoneMac | ( | std::shared_ptr< WPSStream > const & | stream | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getGraphicShape()

bool LotusGraphInternal::ZoneMac::getGraphicShape | ( | WPSGraphicShape & | shape,
|  | WPSPosition & | pos
| ) |  | const

returns a graphic shape corresponding to the main form (and the origin)

Referenced by LotusGraph::sendPicture(), ZoneMac(), and LotusGraphInternal::ZonePc::ZonePc().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ZoneMac const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

WPSBox2i LotusGraphInternal::ZoneMac::m_box

the bdbox

Referenced by getGraphicShape(), LotusGraphInternal::ZonePc::getGraphicShape(), and LotusGraphInternal::ZonePc::getTransformation().

## ◆ m_chartId

int LotusGraphInternal::ZoneMac::m_chartId

the chart id(for chart)

## ◆ m_extra

std::string LotusGraphInternal::ZoneMac::m_extra

extra data

## ◆ m_graphicId

int LotusGraphInternal::ZoneMac::m_graphicId

the graphic style id, used with rect shadow

Referenced by LotusGraph::sendPicture(), and LotusGraphInternal::ZonePc::ZonePc().

## ◆ m_hasShadow

bool LotusGraphInternal::ZoneMac::m_hasShadow

a flag to know if we need to add shadow

## ◆ m_lineId

int LotusGraphInternal::ZoneMac::m_lineId

the line style id

## ◆ m_ordering

int LotusGraphInternal::ZoneMac::m_ordering

the ordering

## ◆ m_pictureEntry

WPSEntry LotusGraphInternal::ZoneMac::m_pictureEntry

the picture entry

Referenced by LotusGraph::sendPicture().

## ◆ m_stream

std::shared_ptr<WPSStream> LotusGraphInternal::ZoneMac::m_stream

the stream

Referenced by LotusGraphInternal::SubDocument::operator==(), LotusGraphInternal::SubDocument::parse(), and LotusGraph::sendPicture().

## ◆ m_subType

int LotusGraphInternal::ZoneMac::m_subType

the file modifier type

Referenced by getGraphicShape().

## ◆ m_surfaceId

int LotusGraphInternal::ZoneMac::m_surfaceId

the surface color style id

## ◆ m_textBoxEntry

WPSEntry LotusGraphInternal::ZoneMac::m_textBoxEntry

the text box entry

## ◆ m_type

Type LotusGraphInternal::ZoneMac::m_type

the zone type

Referenced by getGraphicShape(), and LotusGraphInternal::ZonePc::getGraphicShape().

## ◆ m_values

int LotusGraphInternal::ZoneMac::m_values[4]

unknown other value

Referenced by ZoneMac().

The documentation for this struct was generated from the following file:

- LotusGraph.cpp